# outsplitting.hxx File Reference

Outsplitting and insplitting algorithms for normalized and sub-normalized transducers seen as automata over a free monoid product. More...

Include dependency graph for outsplitting.hxx:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | vcsn

| The main namespace of the Vaucanson library.

## Functions

template<typename S , typename M1 , typename M2 , typename Auto_t >
Auto_t | do_outsplitting (const AutomataBase< S > &, const algebra::FreeMonoidProduct< M1, M2 > &, const Auto_t &aut, std::set< typename Auto_t::hstate_t > &m)
| Separate states considering their output: a|1 on one state, 1|x and a|x on the other.
template<typename S , typename M1 , typename M2 , typename Auto_t >
Auto_t | do_insplitting (const AutomataBase< S > &, const algebra::FreeMonoidProduct< M1, M2 > &, const Auto_t &aut, std::set< typename Auto_t::hstate_t > &m)
| Separate states considering their input: 1|x on one state, a|1 and a|x on the other.

## Detailed Description

Outsplitting and insplitting algorithms for normalized and sub-normalized transducers seen as automata over a free monoid product.

Author:
  Sarah O'Connor <sarah.o-connor@lrde.epita.fr>

Definition in file outsplitting.hxx.